#ifndef PROBLEM_H
#define PROBLEM_H

#include "Control.h"
#include <vector>
#include <fstream>


class PossibleDemand {
public:
  int     demand_;
  double  probability_;
};

///The Problem class. 
class Problem {
public:
  ///Includes the depot.
  int numberOfCustomers;

  ///Vehicle capacity.
  int capacity;          

  ///DistanceMatrix[i][j] is the euclidean distance between customer i and custumer j.
  vector<vector<double> > distanceMatrix; 

  ///Table with customer demands and demand probabilities.
  ///Line i of the table is associated to customer whose name is "i".  
  vector<vector<PossibleDemand> >  customerDemand;

  ///Constructor of Problem. The argument is used for accessing input instance file
  ///and for overriding the input file capacity if a capacity value is given from
  ///the command line. 
  Problem( Control& );
};



#endif
